
Auto Multiple Choice - Bug # 243: choiceshoriz with [o] 

Status: WontFix Priority: Normal
Author: David Dixon Category:
Updated: 10/31/2014 Due date:
Description: The answer sheets I use require that A=True and B=False. If I create a true/false question using 

choiceshoriz, it shuffles the answers. If I add the [o] option, it no longer displays the answers horizontally.
<pre>
\begin{question}{Fair Gamble}
A risk-neutral person will always take a fair gamble.
\begin{choiceshoriz}[o]
\correctchoice{True}
\wrongchoice{False}
\end{choiceshoriz} 
\end{question}
</pre>

History
12/05/2013 09:21 am - Alexis Bienvenüe
- File horizo.png added

- Description changed from The answer sheets I use require that A=True and B=False. If I create a true/false question using choiceshoriz, it shuffles the 
answers. If I add the [o] option, it no longer displays the answers horizontally.

\begin{question}{Fair Gamble}
A risk-neutral person will always take a fair gamble.
\begin{choiceshoriz}[o]
\correctchoice{True}
\wrongchoice{False}
\end{choiceshoriz} 
\end{question} to The answer sheets I use require that A=True and B=False. If I create a true/false question using choiceshoriz, it shuffles the answers. 
If I add the [o] option, it no longer displays the answers horizontally.
<pre>
\begin{question}{Fair Gamble}
A risk-neutral person will always take a fair gamble.
\begin{choiceshoriz}[o]
\correctchoice{True}
\wrongchoice{False}
\end{choiceshoriz} 
\end{question}
</pre>

Can you provide a minimal source file showing the problem? I tried inserting your code in a simple source file and there was no problem with me.
!horizo.png!

12/05/2013 11:25 pm - David Dixon
- File AMCtest.tex added

12/05/2013 11:28 pm - Alexis Bienvenüe
Thanks.
<pre>
\begin{question}{Risk Neutral}

A risk-neutral person will always take a fair gamble.\begin{choiceshoriz}[o]

\correctchoice{True}

\wrongchoice{False}

\end{choiceshoriz} 

\end{question} 
</pre>
You have to remove the blank lines between the answers.

12/05/2013 11:40 pm - David Dixon
- File AMCLyx.png added

- File ACMLyxOneLine.png added

I don't put the blank lines, Lyx does (see ACMLyx.png screenshot attached). But why should that matter?
If I run them all together into one line, Lyx outputs it to TEX as one line (see ACMLyxOneLine.png), and latex makes dvi that has the correct result. So 
that's a Lyx workaround, I guess.
Thanks!

12/05/2013 11:43 pm - David Dixon
- File ACMLyxAlternative.png added

Another Lyx workaround is to move the closing bracket on the answers to the next line (see attached screenshot).

10/31/2014 03:05 pm - Alexis Bienvenüe
- Status changed from New to WontFix

Perhaps you can also define versions with ignorespaces, like
<pre>
\def\wchoice#1{\wrongchoice{#1}\ignorespaces}
\def\cchoice#1{\correctchoice{#1}\ignorespaces}
</pre>
I'm afraid I won't change AMC definitions, since this should change the output in some cases where users use this to make some linebreaks between 
choices.
